# $Revision: 1.9 $, $Date: 2007-12-23 23:04:36 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Password
Summary:	Data::Password - Perl extension for assesing password quality
Summary(pl.UTF-8):	Data::Password - rozszerzenie Perla zapewniające odpowiednią jakość haseł
Name:		perl-%{pdir}-%{pnam}
Version:	1.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eed0349f781eede736b3c12225a86fd0
URL:		http://search.cpan.org/dist/Data-Password/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This modules checks potential passwords for crackability. It checks
that the password is in the appropriate length, that it has enough
character groups, that it does not contain the same chars repeatedly
or ascending or descending characters, or charcters close to each
other in the keyboard. It will also attempt to search the ispell word
file for existance of whole words. The module's policies can be
modified by changing its variables.

%description -l pl.UTF-8
Ten moduł sprawdza potencjalne hasła pod kątem możliwości ich
złamania. Sprawdza czy hasło ma odpowiednią długość, czy posiada
odpowiednią ilość grup znaków, czy nie zawiera tych samych znaków
powtarzających się rosnąco lub malejąco albo znaków umiejscowionych
blisko siebie na klawiaturze. Spróbuje także przeszukać słownik
ispella pod kątem istnienia całych słów. Polityka modułu może być
modyfikowana za pomocą odpowiednich zmiennych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Data/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Password.spec,v $
Revision 1.9  2007-12-23 23:04:36  zbyniu
- up to 1.07

Revision 1.8  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.6  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.5  2004/11/03 22:30:17  paladine
- formatting

Revision 1.4  2004/08/08 07:20:21  adamg
- updated to 1.05

Revision 1.3  2004/08/07 21:43:30  qboosh
- typos

Revision 1.2  2004/08/07 20:55:58  adamg
- fixed License
- added pl description
- disabled tests by default (they fail, dunno why)

Revision 1.1  2004/08/07 20:42:51  adamg
- new
